# $Revision: 1.25.2.2 $, $Date: 2007/05/09 00:36:28 $
Summary:	Script to help thwart SSH server attacks
Summary(pl):	Skrypt do blokowania atakw na serwery SSH
Name:		DenyHosts
Version:	2.6
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/denyhosts/%{name}-%{version}.tar.gz
# Source0-md5:	fc2365305a9402886a2b0173d1beb7df
Source1:	%{name}.cron
Source2:	%{name}.cfg
Source3:	%{name}.init
URL:		http://www.denyhosts.net/
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	python
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DenyHosts is a script intended to be run by Linux system
administrators to help thwart SSH server attacks.

If you've ever looked at your SSH log (/var/log/secure on Redhat,
/var/log/auth.log on Mandrake, etc...) you may be alarmed to see how
many hackers attempted to gain access to your server. Hopefully, none
of them were successful (but then again, how would you know?).
Wouldn't it be better to automatically prevent that attacker from
continuing to gain entry into your system?

%description -l pl
DenyHosts jest skryptem dla administratorw systemw Linux, ktrego
zadaniem jest odparcie atakw na serwery SSH.

W logach SSH mona znale wiele informacji o prbach uzyskania
dostpu do serwera poprzez usug SSH. Dobrze jest zapobiec kolejnym
prbom wamania przez odcicie wamywaczom dostpu do serwera.

%prep
%setup -q

%build
echo 'VERSION="%{version}"' > version.py
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/cron.d,/etc/rc.d/init.d,%{_sbindir},/var/lib/%{name}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/denyhosts/daemon-control-dist $RPM_BUILD_ROOT%{_sbindir}/%{name}ctl
rm $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/*.py
rm -r $RPM_BUILD_ROOT%{_datadir}/denyhosts
echo "127.0.0.1" > $RPM_BUILD_ROOT/var/lib/%{name}/allowed-hosts

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service DenyHosts restart

%preun
if [ "$1" = "0" ]; then
	%service DenyHosts stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README.txt CHANGELOG.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.cfg
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/cron.d/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir /var/lib/%{name}
%config(noreplace) %verify(not md5 mtime size) /var/lib/%{name}/allowed-hosts
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DenyHosts.spec,v $
Revision 1.25.2.2  2007/05/09 00:36:28  shadzik
- BR python 2.4

Revision 1.25.2.1  2007/05/09 00:08:41  wolvverine
- move from HEAD

Revision 1.25  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.24  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.23  2006/12/20 18:24:30  megabajt
- up to 2.6
- package .egg-info for python 2.5

Revision 1.22  2006/10/10 14:58:46  megabajt
- rel. 2 for rebuild with python 2.5

Revision 1.21  2006/06/22 16:49:32  megabajt
- updated to 2.5

Revision 1.20  2006/04/16 21:31:40  glen
- fix chkconfig, rc-scripts deps

Revision 1.19  2006/04/09 18:29:31  rotom
- up to 2.4

Revision 1.18  2006/04/06 08:56:30  megabajt
- updated to 2.3

Revision 1.17  2006/03/19 17:50:57  glen
- use %service

Revision 1.16  2006/03/14 17:29:28  rotom
- up to 2.2

Revision 1.15  2006/02/20 01:07:55  gotar
- missingok for cron file (one can use deamon, cron OR tcpd spawning)

Revision 1.14  2006/02/20 01:05:04  gotar
- %config and %verify flags for allowed-hosts

Revision 1.13  2006/02/10 13:21:13  rotom
- updated to 2.1

Revision 1.12  2006/02/09 16:36:20  megabajt
- updated to 2.0
- new URL

Revision 1.11  2005/11/20 14:06:01  megabajt
- up to 1.1.3

Revision 1.10  2005/11/09 19:55:51  blekot
- up to 1.0.1

Revision 1.9  2005/07/29 22:02:03  zbyniu
- - BR: python-modules, rpm-pythonprov; spaces -> tabs

Revision 1.8  2005/07/29 10:08:42  darekr
- fixed perms for init script

Revision 1.7  2005/07/29 09:17:19  leafnode
- updated to 0.9.8
- removed unncesseary patch
- added initscript

Revision 1.6  2005/06/15 10:37:10  misi3k
- up to 0.6.0

Revision 1.5  2005/05/12 19:30:22  darekr
- fixed path to config file in denyhosts.py file

Revision 1.4  2005/02/23 10:27:40  matowy
- missing BR and R

Revision 1.3  2005/02/22 19:53:14  qboosh
- typo, unified caps and /etc/cron.d paths

Revision 1.2  2005/02/22 12:07:21  leafnode
- fixed source0

Revision 1.1  2005/02/22 12:01:28  leafnode
- import
